petsc-3.4.2 2013-07-02

# ADDAHCiterStartup

performs the first check for an iteration through a hypercube lc, uc, idx all have to be valid arrays of size dim This function sets idx to lc and then checks, whether the lower corner (lc) is less than thre upper corner (uc). If lc "<=" uc in all coordinates, it returns PETSC_TRUE, and PETSC_FALSE otherwise.

### Synopsis

    #include "petscdmadda.h"
    PetscBool  ADDAHCiterStartup(const PetscInt dim, const PetscInt *const lc, const PetscInt *const uc, PetscInt *const idx)

### Input Parameters

| dim | - the number of dimension
| lc | - the "lower" corner
| uc | - the "upper" corner

### Output Parameters

idx -the index that this function increases

Developer Notes: This code is crap! You cannot return a value and NO ERROR code in PETSc!

Level:developer
Location:src/dm/impls/adda/adda.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages